package com.keao.edu.auth.api.dto;

import io.swagger.annotations.ApiModelProperty;

public class MenuQueryInfo{
    @ApiModelProperty(value = "父节点编号，默认0",required = false)
    private Integer parentId = 0;

    @ApiModelProperty(value = "节点状态，默认0未删除，1删除",required = false)
    private String delFlag = "0";

    @ApiModelProperty(value = "节点状态，默认0显示，1不显示",required = false)
    private Integer hid;

    @ApiModelProperty(value = "科目编号",required = false)
    private Integer subjectId;

    private Integer userId;

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getHid() {
        return hid;
    }

    public void setHid(Integer hid) {
        this.hid = hid;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
}
